Bug 30551 - not sure as i'm don't know python (rhn_register-1.2-1)
Summary: not sure as i'm don't know python (rhn_register-1.2-1)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-04 12:45 UTC by Emmanuel Galanos
Modified: 2015-01-07 23:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 14:43:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Emmanuel Galanos 2001-03-04 12:45:29 UTC
I upgraded a rh7 boxes rpm, rpm-devel, popt, python, python-xmlrpc,
rpm-build, up2date, rhn_register to the versions in rc2
I then altered the files in /etc/sysconfig/rhn/{rhn_register,up2date}
and set the server to point to the beta up2date server (I wanted to test some of
the packages on a rh7 box without upgrading the whole thing). Running
rhn_register, after I entered my beta login name and beta password,
and email address, I pressed next (tui) and rhn_register exited with:
Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 108, in ?
    main()
  File "/usr/sbin/rhn_register", line 100, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1033, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 982, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 422, in __init__
    self.emailContactButton.setValue("*")
AttributeError: setValue

Comment 1 Preston Brown 2001-03-05 17:48:50 UTC
fixed in 1.2.1 and later.

Comment 2 Emmanuel Galanos 2001-03-19 14:42:53 UTC
This bug still appears to be present in 1.2.2-1
python 1.5.2-29, python-xmlrpc 1.4-1.

Comment 3 Emmanuel Galanos 2001-03-19 14:55:31 UTC
I upgraded newt and it works now.


Note You need to log in before you can comment on or make changes to this bug.